Subject: bug#60220: 29.0.60; macOS 13.1 crash shortly after starting Emacs

From: Aaron Jensen <[email-masked]>
Date: Fri, 30 Dec 2022 09:24:00 -0500

On Fri, Dec 30, 2022 at 8:52 AM Aaron Jensen <[email-masked]> wrote:
>
> On Fri, Dec 30, 2022 at 8:37 AM Aaron Jensen <[email-masked]> wrote:
> >
> > On Fri, Dec 30, 2022 at 3:42 AM Gerd Möllmann <[email-masked]> wrote:
> > >
> > > 13.1 on an M1.
> >
> > Ok, same. Did you allow everything to native compile before starting
> > the restart loop?
>
> Also, please try to run it outside of LLDB and see if it crashes there.

FWIW, with CFLAGS="-g -O0" CXXFLAGS="-g -O0" and running in XCode it
seems to reproduce pretty easily for me. Only took a couple restarts.

https://share.cleanshot.com/PK2djHVv

On Fri, Dec 30, 2022 at 9:18 AM Eli Zaretskii <[email-masked]> wrote:
>
> I've seen that, but since we don't have a reasonable explanation for
> the crashes, I don't think your reproduction is evidence that Paul's
> fears, whatever they are, are necessarily incorrect.  The mere fact
> that you can trigger the crash in a different scenario doesn't yet
> mean the original scenario has nothing to do with the problem.  This
> kind of conclusions can only be drawn once the reason is fully
> understood, and we are not there yet.

Understood, thank you. I should not jump so quickly to conclusions.